Package org.eclipse.gef.ui.views.palette

# Interface PalettePage

All Superinterfaces:
  `IPage`, `IPageBookViewPage`

All Known Implementing Classes:
  `GraphicalEditorWithFlyoutPalette.CustomPalettePage`, `PaletteViewerPage`

public interface PalettePage extends IPageBookViewPage
An interface representing a page to be used in the PaletteView. PalettePage.class is passed as the argument to the getAdapter(Object) method of a GEF-based editor (or view) to retrieve the page to be displayed in the PaletteView.

Since:
  3.0

## Method Summary

### Methods inherited from interface org.eclipse.ui.part.IPage

`createControl, dispose, getControl, setActionBars, setFocus`

### Methods inherited from interface org.eclipse.ui.part.IPageBookViewPage

`getSite, init`